#if !defined(_UNICODE) && !defined(UNICODE)
    #define UNICODE
#elif defined(UNICODE) && !defined(_UNICODE)
    #define _UNICODE
#elif defined(_UNICODE) && !defined(UNICODE)
    #define UNICODE
#endif

#ifndef WINVER
#define WINVER 0x0501
#define _WIN32_WINNT 0x0600
#else
#if defined(_WIN32_WINNT) && (WINVER 0x0400)
#error WINVER setting conflicts with _WIN32_WINNT setting
#endif
#endif

#define _WIN32_IE 0x0501

#ifndef WINDOWS
#define WINDOWS
#include<windows.h>
#endif

#ifndef COMMCTRL
#define COMMCTRL
#include <COMMCTRL.h>
#endif

#ifndef WINDOWSX
#define WINDOWSX
#include <Windowsx.h>
#endif

#ifndef WINUSER
#define WINUSER
#include <Winuser.h>
#endif

#include "WinFrames.h"
#include "wfCallbacks.h"


int WINAPI WinMain (HINSTANCE hThisInstance,
                     HINSTANCE hPrevInstance,
                     LPSTR lpszArgument,
                     int nCmdShow)
{
    MSG messages ;          

    InitProgram() ;

  //Show the main window
    ShowWindow ( ProgramMainWindow , SW_SHOW );

    /* Run the message loop. It will run until GetMessage() returns 0 */
    while (GetMessage (&messages, NULL, 0, 0))
    {
      if (NULL == hDlgCurrent || !IsDialogMessage(hDlgCurrent, &messages))
       {  
        /* Translate virtual-key messages into character messages */
        TranslateMessage(&messages);
        /* Send message to WindowProcedure */
        DispatchMessage(&messages);
       }  

    }

    /* The program return-value is 0 - The value that PostQuitMessage() gave */
    return messages.wParam;
}
