//This code is writed by Nikos Mourgis. (nikosmourgis@gmail.com)
//The following code is writed with the convenience in mind and not
//for efficiency. The code may contains bugs that was unnoticed while testing.
//use it freely at your convinience but please do not sell this code , and please
//do not remove this header. Last Update : 03/01/2018 

#ifndef WINDOWS
#define WINDOWS
#include<windows.h>
#endif

 #define erreturn -333;
 #define strerror L"!strerror!"


 struct Seperatorw
 {
  WCHAR form[5];
 };

 struct WSpec
 {
   Seperatorw fsep;
   WCHAR *word;
   WCHAR *WordAfter;
   ULONG IndexAfter;
 };

unsigned long StrLen(const WCHAR *buf);
unsigned long StrLenA(const char *buf);
WCHAR *ConCat(const WCHAR *str1,const WCHAR *str2);
int wCompareStr(const WCHAR *str1,const WCHAR *str2);
WCHAR *ParamCopyStr(unsigned long frompos,WCHAR *source,char untilc,bool andc,unsigned long &stoppos);//Return a string based of the parameters
WCHAR *CopyStr(WCHAR *dest,const WCHAR *source,ULONG destlen);//copy one string into another
WCHAR *CopyStrP(WCHAR *dest,WCHAR *source,ULONG fromp,ULONG top);//copy one string into another from fromp to top
WCHAR *CopyStrCh(WCHAR *source,WCHAR c, unsigned long &ind);//returns a string , starts from ind until it finds the character c . 
															//If the character c is not presents inside the string it returns all the string from ind to the end
WCHAR *TrimRight(WCHAR *str);
WCHAR *TrimLeft(WCHAR *str);
WCHAR *Trim(WCHAR *str);
WCHAR *ReplaceChar(WCHAR *str, WCHAR oldch, WCHAR newch);
WCHAR *ReplaceAllChar(WCHAR *str,WCHAR newch);//replace alla the characters in the string with the newch
WCHAR *RemoveChar(WCHAR *str, WCHAR remch);
ULONG FindChar(WCHAR *str,WCHAR ch,ULONG &indx);//returns -1 if the character is not present
int CompareText(WCHAR *Text1, WCHAR *Text2); //compares strings if the first is bigger returns 1 if the second is bigger -1 if equals returns 0
WCHAR *UpperCase(const WCHAR *string);
WCHAR UpperCaseCh(WCHAR ch);

WCHAR *CopyChToCh(WCHAR *source,WCHAR fc,WCHAR tc,ULONG &indx);//returns  a string. Copying characters from fc until tc. if fc not found returns NULLS if tc not found returns strerror  
WCHAR *CopyChToChWithDepth(WCHAR *source,WCHAR fc,WCHAR tc,long &ind,bool errbr);
//returns a string that starts with the fc and ending with tc even if there is other pairs of fc/tc. If there is an error in the pairs ( missing pair ) the ind has an error code.
//if more fc's then -1 if more tc's then -2 if the tc is the same with the fc and there is an odd character (fc or tc) the ind has the value of -3
//if errbr is true in case of error the returned value is NULL.

WCHAR *CopyToIndex(WCHAR *source,ULONG len,ULONG &frompos);

WCHAR *ReplaceWord(WCHAR *source,WCHAR *Word,WCHAR *replwith, bool CaseSens, WCHAR space,ULONG &index);
//if the function did not found a replace then returns strerror
//if the function finds a word for replacing then it replace it and return the new string.

WCHAR *ReplaceAllWords(WCHAR *source,WCHAR *Word,WCHAR *replwith,bool CaseSens,WCHAR space,ULONG ind,ULONG &reptimes); //if not found a replace the returns errstr
// It replace all the occurences of the Word with the replwith. Its very inefficient for large blocks of data.

WCHAR *ReplaceTextw(WCHAR *source,WCHAR *text,WCHAR *replwith, bool CaseSens,ULONG &index);
// replace the first occurence of the text.

WCHAR *ReplaceAllTextw(WCHAR *source,WCHAR *text,WCHAR *replwith, bool CaseSens,ULONG &replc,ULONG index);
//replace all the occurences of the text

long FindWordSolid(const WCHAR *source,const WCHAR *word,bool CaseSens,ULONG &indx);
//if it finds the text inside the source the returns the total of the characters that it counted.
//returns -1 if the word is not found.
//the search is starting from the indx.

long FindWord(const WCHAR *source,const WCHAR *word,bool CaseSens,WCHAR sepleft,WCHAR sepright,ULONG &indx);
//if it finds the text inside the source the returns the total of the characters that it counted.
//returns -1 if the word is not found.
//the search is starting from the indx.
//If sepleft and sepright = 0 then the function will search inside the source regardles seperators , else the function will use the sepleft and sepright as word seperators
WSpec GetWordEx(WCHAR *source,Seperatorw seps[],ULONG Alength,ULONG &indx,bool CaseSens,bool adinfo);
// returns the first word that will find starting from indx. It will use the seps as the seperators. If adinfo true then returns extra info.
//if no seperator is encounter then the indx will not change its value.  

 WCHAR *ReverseString(WCHAR *source, WCHAR *dest);
//reverse the string return dest , DO NOT DELETE the return value except if you wantrt to delete dest with it.



void Smessagew(HWND winhandle,const WCHAR *mess)
{
    MessageBox(winhandle,mess,L"Message",MB_OK);
};

//code


unsigned long StrLenA(const char *buf)
{
  unsigned long indx=0,len=0;

  if (buf!=NULL)
  {

  while(buf[indx]!=0)
    {
    len++;
    indx++;
    }

    }
  return len;
};


unsigned long StrLen(const WCHAR *buf)
{
  unsigned long indx=0,len=0;

  if (buf!=NULL)
  {

  while(buf[indx]!=0)
    {
    len++;
    indx++;
    }

    }
  return len;
};



WCHAR *ConCat(const WCHAR *str1,const WCHAR *str2)
{
 
    int len=0;
    int indx=0;
    WCHAR *temp=NULL;

    if((str1!=NULL)||(str2!=NULL))
    {
   if (str1!=NULL)
   len=StrLen(str1);

   if (str2!=NULL)
   len=len+StrLen(str2);

   if (len==0)len++;

    temp= new WCHAR[len+1];

    indx=0;

    if (str1!=NULL)
    while(str1[indx]!=0)
    {
        temp[indx]=str1[indx];
        indx++;
    }

    int i=0;
    if (str2!=NULL)
    while(str2[i]!=0)
    {
    temp[indx]=str2[i];
    i++;
    indx++;
    };
    temp[len]=0;
}
    return temp;

};


int wCompareStr(const WCHAR *str1,const WCHAR *str2)
{
    if((str1!=NULL)&&(str2!=NULL))
    {

    if (StrLen(str1)>StrLen(str2))
    return 1;
    else
     if (StrLen(str1)<StrLen(str2))
    return -1;
    else
    {

        ULONG len=StrLen(str1);

     for (ULONG i=0;i<len;i++)
     {
        if (str1[i]!=str2[i]) return 2;
     }
     return 0;  
    }
    }
    return erreturn; 
};


WCHAR *ParamCopyStr(unsigned long frompos,WCHAR *source,char untilc,bool andc,unsigned long &stoppos)
{
	
if((source!=NULL))
{

    unsigned long strl=0;
    strl=StrLen(source);

    WCHAR *temp=new WCHAR[strl+1];
    ZeroMemory(temp,(strl+1)*2);
    if(strl>0)
    {
    for (unsigned long i=frompos;i<strl;i++)
    {

    if(source[i]==untilc)
    {
        if (andc)
        {
        temp[i-frompos]=source[i];
        stoppos=i+1;
            return temp;
        }//if andc==true
        else
        {
            temp[i-frompos]=0;
            stoppos=i+1;
            return temp;

        }


    }//if untilc==true

        temp[i-frompos]=source[i];
    }//for

    stoppos=0;
    return temp;
    }
else
     {
     stoppos=0;
     return NULL;
       }
        }else
        return NULL;
}


WCHAR *CopyStr(WCHAR *dest,const WCHAR *source,ULONG destlen)
{
    unsigned long slen=StrLen(source);
    if((dest!=NULL)&&(source!=NULL))
    {
    for (unsigned long i=0;;i++)
    {
        if (source[i]==0)
        {
            break;
        }
        if (i > destlen-1)
        {
            dest[destlen-1]=0;
            return dest;
        }
       dest[i]=source[i];

    }

    dest[slen]=0;

    return dest;
    }
    else
        return NULL;


}


WCHAR *TrimRight(WCHAR *str)
{
     if(str==NULL)return NULL;
     ULONG indx=StrLen(str);
     WCHAR * temp;
     temp=new WCHAR[indx+2];
     CopyStr(temp,str,indx+1);
     while(temp[indx-1]==L' ')
     indx--;

     temp[indx]=0;
     WCHAR * temp2;
     indx=StrLen(temp);
     temp2=new WCHAR[indx+1];
     CopyStr(temp2,temp,indx+1);
     delete [] temp;

     return temp2;

}


WCHAR *CopyStrP(WCHAR *dest,WCHAR *source,ULONG fromp,ULONG top)
{
     if((dest==NULL)||(source==NULL)) return NULL;
     if (fromp>top) return NULL;
    {
      ULONG indx=0;
     for (ULONG i=fromp;i<=top;i++)
     {
      dest[indx]=source[i];
      indx++;
      }
     }//if
     return dest;
}//copystrp



WCHAR *TrimLeft(WCHAR *str)
{
   if(str==NULL)return NULL;
   ULONG len=StrLen(str);
   ULONG indx=0;
   int spaces=0;

     while (str[indx]==L' ')
     {
        indx++;
        spaces++;
     }

     WCHAR * temp;
     temp=new WCHAR[(len+1)-spaces];
     temp[len-spaces]=0;

     temp=CopyStrP(temp,str,indx,len-1);
     return temp;
}

WCHAR *Trim(WCHAR *str)
{

         if(str==NULL)return NULL;

         WCHAR *temp=TrimRight(str);
         WCHAR *temp2=TrimLeft(temp);

         delete [] temp;

         return temp2;


}

ULONG FindChar(WCHAR *str,WCHAR ch,ULONG &indx)
{
    ULONG len=StrLen(str);
    ULONG count=0;
    for (ULONG i=indx;i<len;i++)
    {
        if (str[i]==ch)
        {
           indx=i+1;
           return count;
        }
           else
                count++;
    }

    return -1;


}


WCHAR *ReplaceChar(WCHAR *str, WCHAR oldch, WCHAR newch)
{
    ULONG len=StrLen(str);

    if(str==NULL) return NULL;

    for (ULONG i=0;i<len;i++)
    {
        if (str[i]==oldch)
        str[i]=newch;
    }
    return str;
}

WCHAR *ReplaceAllChar(WCHAR *str , WCHAR newch)
{
    ULONG len=StrLen(str);

    if(str==NULL) return NULL;

    for (ULONG i=0;i<len;i++)
    {
        str[i]=newch;
    }
    return str;

};


WCHAR *RemoveChar(WCHAR *str, WCHAR remch)
{
     WCHAR * temp;
     ULONG len=StrLen(str);
     temp=new WCHAR[len+1];
     ULONG indx=0;

     if(str==NULL) return NULL;

     for (ULONG i=0; i<len;i++)
     {
         if(str[i]!=remch)
         {
             temp[indx]=str[i];
             indx++;
         }


     }
     temp[indx]=0;

     len=StrLen(temp);

     WCHAR * temp2= new WCHAR[len+1];

     CopyStr(temp2,temp,len+1);
     delete [] temp;

     return temp2;
}


 WCHAR *CopyStrCh(WCHAR *source,WCHAR c, unsigned long &ind)
 {

    ULONG tempi=0;

    if(source==NULL) return NULL;

     ULONG len=StrLen(source);

     if (ind>=len) return NULL;
	 
     for (ULONG i=ind;i<len;i++)
         if (source[i]==c)
         {
             break;
         }
         else
            tempi++;

     WCHAR *temp = new WCHAR[tempi+1];
     ZeroMemory(temp,(tempi+1)*2);
     CopyStrP(temp,source,ind,(ind+tempi-1));
     ind=ind+tempi+1;

     return temp;

 }

 int CompareText(WCHAR *Text1,WCHAR *Text2)
 {
    if ((Text1==NULL)||(Text2==NULL)) return erreturn;
	
    WCHAR *t1,*t2;
    t1=UpperCase(Text1);
    t2=UpperCase(Text2);
    int ret=wCompareStr(t1,t2);
    delete [] t1;
    delete [] t2;
   return ret;

 }

 WCHAR *UpperCase(const WCHAR *string)
{

     if(string==NULL)return NULL;
     unsigned long len=StrLen(string);
     WCHAR *newstr= new WCHAR[len+1];
     CopyStr(newstr,string,len+1);
     CharUpper(newstr);

     return newstr;
}



WCHAR UpperCaseCh( WCHAR ch )
{
     WCHAR newch=ch;
     DWORD tmp;
     tmp=MAKELONG(ch,0);
     CharUpper((WCHAR*)tmp);
     newch=LOWORD(tmp);
     return newch;

}

WCHAR *CopyChToCh(WCHAR *source,WCHAR fc,WCHAR tc,ULONG &indx)
{

     if (source==NULL) return NULL;
     ULONG len=StrLen(source);
     ULONG pos=0;

     for(ULONG i=indx;i<len;i++)
     {
           if (source[i]==fc)
           {
           pos=i+1;
           break;
           }//if source[i]==fc
             else
              pos=i;
     }//for

     if (pos==len) return NULL;

     ULONG pend=0;

      for(ULONG i=pos;i<=len;i++)
     {
           if (source[i]==tc)
           {
           pend=i;
           break;
           }//if source[i]==tc
             else
              pend=i;
     }//for

     if (pend==len)
     {
       WCHAR *strerr=new WCHAR [10];
       CopyStr(strerr,strerror,10);
       return strerr;
     }

     WCHAR *temp = new WCHAR[(pend-pos)+1];
     ZeroMemory(temp,((pend-pos)+1)*2);

    if (CopyStrP(temp,source,pos,pend-1)==NULL)
     {
       WCHAR *strerr=new WCHAR [10];
       CopyStr(strerr,strerror,10);
       return strerr;
     }

    indx=pend+1;

    return temp;

}

 WCHAR *CopyChToChWithDepth(WCHAR *source,WCHAR fc, WCHAR tc,long &ind,bool errbr)
 {

    if (source==NULL) return NULL;

    long depth=0;
    long startp=-1;
    long endp=-1;
    long len=StrLen(source);

    for (LONG i=0;i<=len;i++)
    {
        if (source[i]==fc)
        {
          startp=(i+1); 
          depth=1;
          break;
        }

    }

    if (startp==-1) return NULL;

if(fc!=tc)
{

      for (LONG i=startp;i<=len;i++)
    {
        if (source[i]==fc)
        {
          depth++; 

        }//if
          else
        if (source[i]==tc)
        {
          depth--;
          endp=(i-1);

        }//if

    }//for

} //if fc!=tc
else
{
      for (LONG i=startp;i<=len;i++)
    {
        if (source[i]==fc)
        {
          depth++; 
          endp=i-1;
        }//if
    }//for

    depth=depth % 2; 
} //if tc=fc


    if (depth>0)
    {
      if (fc==tc)
       ind=-3;
          else
       ind=-1;

       if (errbr==true)
       return NULL;
    }
      else
    if (depth<0)
    {
       ind=-2;

       if (errbr==true)
       return NULL;
    }
      WCHAR *temp = new WCHAR[(endp-startp)+1] ;
      ind=endp+2;
      if (CopyStrP(temp,source,startp,endp)==NULL)
      {
       WCHAR *strerr = new WCHAR[10];
       CopyStr(strerr,strerror,10);
       return strerr;
      }
      return temp;


 }//proc


 WCHAR *CopyToIndex(WCHAR *source,ULONG len,ULONG &frompos)
  {
      if (source==NULL) return NULL;
      if (len<1)
      {
       return NULL;
      }
      WCHAR * temp=new WCHAR[(len+frompos)+1];
      ZeroMemory(temp,(len+frompos+1)*2);

      int safelen=0;

      if((len+frompos)>StrLen(source))
      safelen=StrLen(source)-1;
      else
      safelen=(len+frompos)-1;
  
      ULONG tmpindx=0;
    for (ULONG i=frompos;i<=(safelen);i++) 
    {
        temp[(i-frompos)]=source[i];
        tmpindx=i;
    }
     frompos=tmpindx;
     return temp;


  }//proc


  WCHAR *ReplaceWord(WCHAR *source,WCHAR *Word,WCHAR *replwith, bool CaseSens, WCHAR space, ULONG &index)
  {

      if (source==NULL) return NULL;
      ULONG len=StrLen(source);
      bool OnHit=false;
      ULONG indx=0;
      WCHAR *news2;

      indx=index;
        while (indx<len)
     {

        WCHAR * tword = CopyStrCh(source,space,indx);
		
        bool same=false,onhit=false;

        if (CaseSens==true)
        {
           if (CompareText(tword,Word)==0) same=true;
        } //if Case Insensitive
        else
        {
            if (wCompareStr(tword,Word)==0) same=true;

        }//else Case Sensitive

         if (same==true)
         {
                    //tricky one!

                    onhit=true;

                    ULONG BuffSize=0;

                    if (indx>=len-1)
                    {
                      if (source[len-1]==space) BuffSize=(indx-1)-StrLen(tword);
                      else
                      BuffSize=(indx-2)-StrLen(tword);
                    }
                    else
                    BuffSize=(indx-1)-StrLen(tword);

             WCHAR *buff,*news,*temp;

             ULONG tmpi=0;
             buff=0;
             if (BuffSize>0)
             buff=CopyToIndex(source,BuffSize,tmpi);

             news=ConCat(buff,replwith);

             ULONG index=indx-1;
             temp=CopyToIndex(source,len-index,index);

             news2=ConCat(news,temp);

             delete [] news;
             news=NULL;

             OnHit=true;

              break;

         } //if same=true

           if (indx==len)indx++;

     }//while indx<=len

      index=indx;

      if (OnHit==false)
      {
       WCHAR * strerr;
       strerr=new WCHAR[10];
       CopyStr(strerr,strerror,10);
       return strerr;
      }
      else
      {
       index+=(StrLen(replwith)-StrLen(Word));
      return news2;
      }



  }

  WCHAR *ReplaceAllWords(WCHAR *source,WCHAR *Word,WCHAR *replwith,bool CaseSens,WCHAR space,ULONG ind,ULONG &reptimes)
  {

      if (source==NULL) return NULL;
      ULONG len=StrLen(source);
      bool onhit=false;
      ULONG indx=ind,findtimes=0;
      WCHAR *news2=new WCHAR[len+1],*temp=0,*temp2;

      CopyStr(news2,source,len+1);
     while (indx<len)
     {
           temp=ReplaceWord(news2,Word,replwith,CaseSens,space,indx);
           if ((wCompareStr(temp,strerror)==0)&&(findtimes==0))
           {
             onhit=false;
             break;
           } else
           if ((wCompareStr(temp,strerror)==0)&&(findtimes>0))
           {
             onhit=true;
             break;
           }

       if (onhit==false)onhit=true;
       findtimes++;

      temp2=news2;
      news2=temp;
      delete [] temp2;
      temp=NULL;

      len=StrLen(news2);

     }//while indx<=len


      if (onhit==false)
      {
       reptimes=0;
       WCHAR *strerr;
       strerr = new WCHAR[10];
       CopyStr(strerr,strerror,10);
       return strerr;
       }
      else
      {
       reptimes=findtimes;
       return news2;
      }

  }//proc



 WCHAR *ReplaceTextw(WCHAR *source,WCHAR *text,WCHAR *replwith, bool CaseSens, ULONG &index)
  {

      if (source==NULL) return NULL;

      ULONG len=StrLen(source);
      ULONG lentext=StrLen(text);
      ULONG indx=0,charc=0;
      WCHAR *news;
      bool secbreaker=true;
      indx=index;


        while (indx<len)
     {

        if (secbreaker==true)
        {
          secbreaker=false;
          charc=0;
        }

        if (secbreaker==false)
        {
          if (CaseSens==false)
          {
          if (UpperCaseCh(source[indx])!=UpperCaseCh(text[charc])) secbreaker=true;
          else
          charc++;
          }
          else
          if (source[indx]!=text[charc]) secbreaker=true;
          else
          charc++;

        }

       if ((lentext==charc)&&(secbreaker==false)) break;

       indx++;

       }//while


          if (lentext!=charc)
          {
            WCHAR *strerr;
            strerr=new WCHAR[StrLen(source)+1];
            CopyStr(strerr,source,StrLen(source)+1);
            return strerr;
          }
          else
          {

              WCHAR *Buffer;

              ULONG indexp=indx;
              indexp++;
              index=0;//???
              Buffer=CopyToIndex(source,indexp-lentext,index);

              news=ConCat(Buffer,replwith);
			  
              delete [] Buffer;
              indexp=indx+1;
              Buffer=CopyToIndex(source,(len-indx)-1,indexp);

              if (Buffer!=NULL)
              news=ConCat(news,Buffer);
              delete [] Buffer;

              index=indx;
              return news;

          }

     }//end proc


WCHAR *ReplaceAllTextw(WCHAR *source,WCHAR *text,WCHAR *replwith, bool CaseSens,ULONG &replc,ULONG index)
{

     if (source==NULL) return NULL;
      ULONG len=StrLen(source);
      WCHAR *news2=new WCHAR[len+1],*temp=0,*temp2;
      ULONG indx=index;
      bool onhit=false;
      replc=0;
      CopyStr(news2,source,len+1);

     while (indx<len)
     {
           temp=ReplaceTextw(news2,text,replwith,CaseSens,indx);
           if ((wCompareStr(temp,strerror)==0)&&(replc==0))
           {
             onhit=false;
             break;
           } else
           if ((wCompareStr(temp,strerror)==0)&&(replc>0))
           {
             onhit=true;
             break;
           }

       if (onhit==false)onhit=true;
       replc++;

      temp2=news2;
      news2=temp;

      delete [] temp2;
      temp=NULL;

      len=StrLen(news2);

      indx=indx-(StrLen(text));
      indx=indx+(StrLen(replwith)+1);

     }//while indx<=len


      if (onhit==false)
      {
       replc=0;
       WCHAR *strerr;
       strerr=new WCHAR[StrLen(source)+1];
       CopyStr(strerr,source,StrLen(source)+1);
       return strerr;
       }
      else
      {
       return news2;
      }

  }//proc


  long FindWordSolid(const WCHAR *source,const WCHAR *word,bool CaseSens,ULONG &indx)
  {

     if (source==NULL) return -1;
     ULONG len=StrLen(source);
     ULONG wlen=StrLen(word);
     ULONG chardelta=0;
     ULONG index=indx;
     bool foundsec=true;
     ULONG wpos=0;
	 
if (StrLen(source)<StrLen(word)) return -1;

    while (index<len)
     {
         if (CaseSens==true)
         {
         if(source[index]!=word[wpos])
         {
           wpos=0;
           if (foundsec==true) foundsec=false;
         }
         else
         {
             if(foundsec==false)foundsec=true;
             wpos++;
         }

         }//if casesens

         else

         {
         if(UpperCaseCh(source[index])!=UpperCaseCh(word[wpos]))
         {
           wpos=0;
           if (foundsec==true) foundsec=false;
         }
         else
         {
             if(foundsec==false)foundsec=true;
             wpos++;
         }

         }//else casesens

           index++;
           chardelta++;

           if (wpos==wlen) break;

     }//while do

       if (foundsec==true)
       {
         indx=index;

         if ((wpos != StrLen(word))) return -1;
         else
         return chardelta;
       }
       else
       {
          indx=index;
          return -1;
       }
  }

  long FindWord(const WCHAR *source,const WCHAR *word,bool CaseSens,WCHAR sepleft,WCHAR sepright,ULONG &indx)
  {
     WCHAR *fword=new WCHAR[2];
     WCHAR *lword=new WCHAR[2];
     ZeroMemory(fword,4);
     ZeroMemory(lword,4);
     fword[0]=sepleft;
     lword[0]=sepright;

     WCHAR *rword=NULL;
     WCHAR *tword=NULL;

       tword = ConCat(fword,word);
       rword = ConCat(tword,lword);


     delete [] lword;
     delete [] fword;

     delete [] tword;

    long ret=FindWordSolid(source,rword,CaseSens,indx);
    delete [] rword;
    return ret;
  }


WSpec GetWordEx(WCHAR *source,Seperatorw seps[],ULONG Alength,ULONG &indx,bool CaseSens,bool adinfo)
 {


    WSpec ret;
    ret.word=NULL;
    ret.WordAfter=NULL;

     if (source==NULL) return ret;

     ULONG len=StrLen(source);
     ULONG index=indx;
     ULONG wpos=0,tmppos=0;
     bool found=false;
     Seperatorw tsep;

     while (index<(len))
     {
        
         for (ULONG i=0;i<Alength;i++)
         {

                         found=true;

                         for (ULONG j=0;j<StrLen(seps[i].form);j++)
                         {
                             WCHAR sc,pc;

                             wpos=StrLen(seps[i].form);
                             tsep=seps[i];

                             if (CaseSens==false)
                            {
                               sc=UpperCaseCh(source[index+j]);
                               pc=UpperCaseCh(seps[i].form[j]);
                             }
                              else
                              {
                                  sc=source[index+j];
                                  pc=seps[i].form[j];
                              }


                              if (StrLen(seps[i].form)>(StrLen(source)-index))
                              {
                                 found=false;
                                 break;
                              }

                               if (sc!=pc)
                               {
                                 found=false;
                                 break;
                               }


                         }//for j

                      if (found==true)break;
         }  //for

                         if (found==true)
                            {
                              tmppos=wpos+1;//     .
                              wpos=0;
                            }
                           else tmppos=1;

          if (found==false)
          index+=tmppos;
	  
          else
          {

             ret.word = new WCHAR[(index-indx)+2];
             ULONG tindx=indx-1;
             if (tindx>(len-1)) tindx=0;
             ULONG cnt=(index-indx);
             if (tindx!=0)cnt++;
             ret.word=CopyToIndex(source,cnt,tindx); 
             indx=(index+tmppos);
             tindx=indx;
             ret.fsep=tsep;

             WSpec tret;
             tret.IndexAfter=0;
             tret.word=NULL;
             tret.WordAfter=NULL;

             if (adinfo==true)
             tret=GetWordEx(source,seps,Alength,tindx,CaseSens,false);

              ret.IndexAfter=tindx;
              ret.WordAfter=tret.word;

             return ret;

          }



     }//while main

      ret.IndexAfter=0;
      return ret;

 }//proc



 WCHAR *ReverseString(WCHAR *source,WCHAR *dest)
 {
     ULONG sourcel=StrLen(source)-1;

     for (LONG i=sourcel;i>=0;i--)
     {
       dest[sourcel-i]=source[i];

     }
     return dest;
 }












